summaryrefslogtreecommitdiffstats
path: root/desktop/hsetroot
diff options
context:
space:
mode:
author Azure Zanculmarktum2017-06-02 22:11:16 +0200
committer David Spencer2017-06-02 22:11:16 +0200
commitfc026b5e81f976c2443b4c8b872c516dd9b20892 (patch)
treec14ca9265fe891429248cd2cfa7a3defd074a322 /desktop/hsetroot
parent0eece35e85c8b5483385c3936d56a71b0b9bcae6 (diff)
downloadslackbuilds-fc026b5e81f976c2443b4c8b872c516dd9b20892.tar.gz
desktop/hsetroot: Updated for version 1.0.2.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'desktop/hsetroot')
-rw-r--r--desktop/hsetroot/README7
-rw-r--r--desktop/hsetroot/hsetroot.SlackBuild94
-rw-r--r--desktop/hsetroot/hsetroot.info10
-rw-r--r--desktop/hsetroot/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/desktop/hsetroot/README b/desktop/hsetroot/README
new file mode 100644
index 0000000000..e928290d27
--- /dev/null
+++ b/desktop/hsetroot/README
@@ -0,0 +1,7 @@
+hsetroot is a tool which allows you to compose wallpapers.
+
+It has a lot of options like rendering gradients, solids, images but it
+also allows you to perform manipulations on those things, or chain them
+all together. You could use one standard background image for instance,
+and use tint to make it fit your current theme. And yes, of course it
+is compatible with semi-translucent applications like aterm and xchat.
diff --git a/desktop/hsetroot/hsetroot.SlackBuild b/desktop/hsetroot/hsetroot.SlackBuild
new file mode 100644
index 0000000000..2c512dd4a8
--- /dev/null
+++ b/desktop/hsetroot/hsetroot.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for hsetroot
+
+# Copyright 2017 Azure Zanculmarktum <zanculmarktum@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=hsetroot
+VERSION=${VERSION:-1.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="-lX11" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/hsetroot/hsetroot.info b/desktop/hsetroot/hsetroot.info
new file mode 100644
index 0000000000..9d866bb406
--- /dev/null
+++ b/desktop/hsetroot/hsetroot.info
@@ -0,0 +1,10 @@
+PRGNAM="hsetroot"
+VERSION="1.0.2"
+HOMEPAGE="http://web.archive.org/web/20120814115852/http://thegraveyard.org/hsetroot.html"
+DOWNLOAD="http://ftp.vim.org/ftp/pub/ftp/os/Linux/distr/slitaz/sources/packages/h/hsetroot-1.0.2.tar.gz"
+MD5SUM="f599770a6411dcfe216c37b280fad9bc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="imlib2"
+MAINTAINER="Azure Zanculmarktum"
+EMAIL="zanculmarktum@gmail.com"
diff --git a/desktop/hsetroot/slack-desc b/desktop/hsetroot/slack-desc
new file mode 100644
index 0000000000..168e212515
--- /dev/null
+++ b/desktop/hsetroot/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hsetroot: hsetroot (yet another wallpaper application)
+hsetroot:
+hsetroot: hsetroot is a tool which allows you to compose wallpapers.
+hsetroot:
+hsetroot:
+hsetroot:
+hsetroot:
+hsetroot:
+hsetroot:
+hsetroot:
+hsetroot: